MODULE trcwri_my_trc
   !!======================================================================
   !!                       *** MODULE trcwri ***
   !!    my_trc :   Output of my_trc tracers
   !!======================================================================
   !! History :   1.0  !  2009-05 (C. Ethe)  Original code
   !!----------------------------------------------------------------------
#if defined key_top && key_my_trc && defined key_iomput
   !!----------------------------------------------------------------------
   !!   'key_my_trc'                                           my_trc model
   !!----------------------------------------------------------------------
   !! trc_wri_my_trc   :  outputs of concentration fields
   !!----------------------------------------------------------------------
   USE trc         ! passive tracers common variables 
   USE oce_trc
   USE crs, ONLY : ln_crs

   IMPLICIT NONE
   PRIVATE

   PUBLIC trc_wri_my_trc 

#  include "top_substitute.h90"
CONTAINS

   SUBROUTINE trc_wri_my_trc
      !!---------------------------------------------------------------------
      !!                     ***  ROUTINE trc_wri_trc  ***
      !!
      !! ** Purpose :   output passive tracers fields 
      !!---------------------------------------------------------------------
      CHARACTER (len=20)   :: cltra
      INTEGER              :: jn
      !!---------------------------------------------------------------------
      IF( ln_crs ) CALL iom_swap( "nemo_crs" )
 
      ! write the tracer concentrations in the file
      ! ---------------------------------------
      DO jn = jp_myt0, jp_myt1
         cltra = TRIM( ctrcnm(jn) )                  ! short title for tracer
         IF( lk_vvl ) THEN
            CALL iom_put( cltra, trn(:,:,:,jn) * fse3t_n(:,:,:) )
         ELSE
            CALL iom_put( TRIM(cltra), trn(:,:,:,jn) )
         ENDIF
      END DO
      !
      IF( ln_crs ) CALL iom_swap( "nemo" )
      !
   END SUBROUTINE trc_wri_my_trc

#else
   !!----------------------------------------------------------------------
   !!  Dummy module :                                     No passive tracer
   !!----------------------------------------------------------------------
   PUBLIC trc_wri_my_trc
CONTAINS
   SUBROUTINE trc_wri_my_trc                     ! Empty routine  
   END SUBROUTINE trc_wri_my_trc
#endif

   !!----------------------------------------------------------------------
   !! NEMO/TOP 3.3 , NEMO Consortium (2010)
   !! $Id: trcwri_my_trc.F90 3160 2011-11-20 14:27:18Z cetlod $ 
   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
   !!======================================================================
END MODULE trcwri_my_trc
